Subject: Summary: Multiple Files in MOPAC6

From: Marcio Cyrillo - pos <[email-masked]>
Date: Mon, 23 Jun 1997 14:16:23 -0300 (EST)

Dear netters,

	My question was the following:

> > Dear netters,
> > 
> > 	I would like to know if it is possible to run multiple geometries
> > in a single input file in the MOPAC 6. In the manual it is suggested
> > that this could be done. I tried to use that procedure, separating
> > the different geometries with a blank line. It works fine for the
> > first structure, but the program aborts for the second geometry
> > because the summary file (FOR012) already exists.
> > 
> >          Any suggestions would be greatly appreciated.
> > 
> >          Thank you in advance for your help
> > 
> >          Sincerely yours
> > 
> >          Marcio Cyrillo

The solution was suggested by

> -----
> # Hidetsugu Tanaka, D. Sc.
> # Computational Science Laboratory, Mitsui Petrochemical Industries, Ltd.
> # 1-2, Waki 6-chome, Waki, Kuga-gun, Yamaguchi, 740, JAPAN
> # Voice : +81-8275-3-9215
> # Fax   : +81-8275-3-8870
> # E-mail: [email-masked]
> #
> 

This is what I wrote him:

Dear Hidetsugu,

	I'm really thankfull for your help. At first I thougth there was a
way to overcome the problem without having to change the code, but, as the
messages came in, I noticed there would be no choice. However it took me
only a few minutes to make the necessary changes and to get MOPAC working
as I needed.
	Only to report to you what I've done:

	Subroutine WRITE
	changed the line OPEN(UNIT=12,FILE='FOR012',STATUS='NEW')
	to ...,STATUS='UNKNOWN',ACCESS='APPEND')
	I had also to take off the line that follows : REWIND 12,
so that the append could be properly done.

	Subroutines GRID and PATHK:
	changed the line OPEN(UNIT=12,STATUS='UNKOWN') to
	...,ACCESS='APPEND')

	It worked! Thank you again.

	Best regards,

	Marcio Cyrillo.

=-------------------------------------------------=
Marcio Cyrillo - http://www.ifi.unicamp.br/~cyrillo
Graduate Student
State University of Campinas - Unicamp
Campinas - SP - Brazil
Applied Physics Department
room 82 - phone +55 19 788 2383
home:           +55 19 234 3494